Subject: Re: [rrg] SIP will work fine with CES, CEE won't work with NAT

From: [email-masked]
Date: Tue, 2 Feb 2010 14:14:27 EST

In einer eMail vom 02.02.2010 19:15:07 Westeuropäische Normalzeit schreibt  
[email-masked]:

Patrick  Frejborg wrote:
> On Tue, Feb 2, 2010 at 5:00 PM, Noel Chiappa  <[email-masked]> 
wrote:
>>    > From:  Patrick Frejborg <[email-masked]>
>>
>>   >> Ah, no - LEID's are globally visible, and globally  unique.
>>
>>    > Do they really need to be  globally visible and globally unique in 
the
>>    >  future?
>>
>> Yes - they need to be globally visible because  they are the names that
>> endpoints use to identify each other, and  you may want to talk to 
another
>> endpoint anywhere (hence the need  for global scope).
>>
> If you take the core-edge philosophy  and apply that on the address
> space - creating a hierarchical address  space the endpoints can still
> be identified though they use the same  edge space. With LISP terms, if
> the RLOC is telling the attachment  point to Internet and the EID is
> telling the attachment point at the  local network you have a two level
> address space. And the local  network address space can be reused if
> the global address space is  unique - similar as in PSTN but without
> geographical boundaries, it  should follow as much as possible the AS
> and RIR structures that is in  place (some trade offs are needed).
> 

Maybe I'm missing  something but what happens when a mobile endpoint 
changes its point of  attachment in the hierarchical address space to a 
new location that might  just be using the same "edge space address" to 
identify another  endpoint?

Florin

Very good question :-)
Heiner